import { IDB2Session, IDB2Response, IDB2Parameter } from "../";
/**
 * Class to handle the invocation of the stored procedures
 * @export
 * @class CallSP
 */
export declare class CallSP {
    /**
     * Call a stored procedure
     * @param {IDB2Session} session DB2 session parameters
     * @param {string} routineName Name of the stored procedure to call
     * @param {IDB2Parameter[]} parameters Parameters to bind to the SQL statement
     * @returns {IDB2Response}
     * @memberof CallSP
     * @static
     */
    static callCommon(session: IDB2Session, routineName: string, parameters?: IDB2Parameter[]): IDB2Response;
    /**
     * Call a stored procedure
     * @param {IDB2Session} session session DB2 session parameters
     * @param {string} routineName Name of the stored procedure to call
     * @param {IDB2Parameter} parameters Parameters to bind to the SQL statement
     * @returns {IDB2Response}
     * @memberof CallSP
     * @static
     */
    static call(session: IDB2Session, routineName: string, ...parameters: IDB2Parameter[]): IDB2Response;
}
