/// <reference types="node" />
import { IHandlerResponseApi } from "@zowe/imperative";
import { Readable, Writable } from "stream";
export declare class StreamUtils {
    /**
     * @param  estimatedSize - estimated file size
     * @param  stremPromise - promise that will resolve to a readable stream
     * @param  response - response object from your handler, provide if
     *                                         you want a progress bar created
     * @returns  - promise that resolves when the h
     */
    static streamToBuffer(estimatedSize: number, streamPromise: Promise<Readable>, response?: IHandlerResponseApi): Promise<Buffer>;
    /**
     * Pipes the readable stream to the writable stream.
     *
     * @param  estimatedSize - estimated file size
     * @param  stremPromise - promise that will resolve to a readable stream
     * @param  writable - writable stream
     * @param  response - response object from your handler, provide if
     *                                         you want a progress bar created
     * @returns  - promise that resolves when the h
     */
    static streamToStream(estimatedSize: number, streamPromise: Promise<Readable>, writable: Writable, response?: IHandlerResponseApi): Promise<string>;
}
