import { AbstractSession } from "@zowe/imperative";
import { ICMCIApiResponse, IProgramParms } from "../../doc";
/**
 * Refresh a program definition on CICS through CMCI REST API
 * @param {AbstractSession} session - the session to connect to CMCI with
 * @param {IProgramParms} parms - parameters for refreshing your program
 * @returns {Promise<any>} promise that resolves to the response (XML parsed into a javascript object)
 *                          when the request is complete
 * @throws {ImperativeError} CICS program name not defined or blank
 * @throws {ImperativeError} CICS region name not defined or blank
 * @throws {ImperativeError} CicsCmciRestClient request fails
 */
export declare function programNewcopy(session: AbstractSession, parms: IProgramParms): Promise<ICMCIApiResponse>;
