"use strict";
/*
* This program and the accompanying materials are made available under the terms of the
* Eclipse Public License v2.0 which accompanies this distribution, and is available at
* https://www.eclipse.org/legal/epl-v20.html
*
* SPDX-License-Identifier: EPL-2.0
*
* Copyright Contributors to the Zowe Project.
*
*/
Object.defineProperty(exports, "__esModule", { value: true });
const MQSCCommand_1 = require("../../../api/MQSCCommand");
const MQBaseHandler_1 = require("../../MQBaseHandler");
/**
 * Command handler for MQSC script commands
 * @export
 * @class MQSCCommandHandler
 * @implements {ICommandHandler}
 */
class MQSCCommandHandler extends MQBaseHandler_1.default {
    /**
     * Process the MQSC script command.
     * @param {IHandlerParameters} params
     * @returns {Promise<void>}
     * @memberof MQSCCommandHandler
     */
    async processWithSession(params, session, profile) {
        return MQSCCommand_1.default.qmgrAction(session, params.arguments.qmgr, params.arguments.cmd);
    }
}
exports.default = MQSCCommandHandler;
//# sourceMappingURL=MQSCCommand.handler.js.map