"use strict";
/*
 * This program and the accompanying materials are made available under the terms of the
 * Eclipse Public License v2.0 which accompanies this distribution, and is available at
 * https://www.eclipse.org/legal/epl-v20.html
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Copyright Contributors to the Zowe Project.
 *
 */
const UssDirectory_definition_1 = require("./uss-directory/UssDirectory.definition");
const FTPConfig_1 = require("../../api/FTPConfig");
const MakeDefinition = {
    name: "make", aliases: ["mk"],
    summary: "Make a USS directory",
    description: "Make a USS directory",
    type: "group",
    children: [UssDirectory_definition_1.MakeUssDirectoryDefinition],
    passOn: [
        {
            property: "options",
            value: FTPConfig_1.FTPConfig.FTP_CONNECTION_OPTIONS,
            merge: true,
            ignoreNodes: [
                { type: "group" }
            ]
        }
    ]
};
module.exports = MakeDefinition;
//# sourceMappingURL=Make.definition.js.map