"use strict";
/*
 * This program and the accompanying materials are made available under the terms of the
 * Eclipse Public License v2.0 which accompanies this distribution, and is available at
 * https://www.eclipse.org/legal/epl-v20.html
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Copyright Contributors to the Zowe Project.
 *
 */
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const JobUtils_1 = require("../../../api/JobUtils");
const FTPBase_Handler_1 = require("../../../FTPBase.Handler");
class SubmitJobFromLocalFileHandler extends FTPBase_Handler_1.FTPBaseHandler {
    processFTP(params) {
        return __awaiter(this, void 0, void 0, function* () {
            let jobDetails;
            let jobid;
            this.log.debug("Submitting a job from data set '%s'. Downloading before submitting...", params.arguments.dataSet);
            const dsContent = (yield params.connection.getDataset("'" + params.arguments.dataSet + "'")).toString();
            this.log.debug("Downloaded data set '%s'. Submitting...", params.arguments.dataSet);
            jobid = yield params.connection.submitJCL(dsContent);
            jobDetails = yield JobUtils_1.JobUtils.findJobByID(jobid, params.connection);
            this.log.info("Submitted job successfully, jobname(jobid): %s(%s)", jobDetails.jobname, jobDetails.jobid);
            params.response.data.setObj(jobDetails);
            params.response.format.output({
                output: jobDetails,
                format: "object",
                fields: ["jobid", "jobname", "owner", "status"]
            });
        });
    }
}
exports.default = SubmitJobFromLocalFileHandler;
//# sourceMappingURL=DataSet.Handler.js.map