"use strict";
/*
 * This program and the accompanying materials are made available under the terms of the
 * Eclipse Public License v2.0 which accompanies this distribution, and is available at
 * https://www.eclipse.org/legal/epl-v20.html
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Copyright Contributors to the Zowe Project.
 *
 */
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const StreamUtils_1 = require("../../../api/StreamUtils");
const UssUtils_1 = require("../../../api/UssUtils");
const FTPBase_Handler_1 = require("../../../FTPBase.Handler");
const path_1 = require("path");
class ViewUssFileHandler extends FTPBase_Handler_1.FTPBaseHandler {
    processFTP(params) {
        return __awaiter(this, void 0, void 0, function* () {
            const ussFile = UssUtils_1.UssUtils.normalizeUnixPath(params.arguments.ussFile);
            const transferType = params.arguments.binary ? "binary" : "ascii";
            const files = yield params.connection.listDataset(path_1.dirname(ussFile));
            const fileToDownload = files.find((f) => {
                return f.name === path_1.basename(ussFile);
            });
            if (fileToDownload === undefined) {
                throw new Error(`The file "${ussFile}" doesn't exist.`);
            }
            let content;
            const contentStreamPromise = params.connection.getDataset(UssUtils_1.UssUtils.normalizeUnixPath(params.arguments.ussFile), transferType, true);
            content = yield StreamUtils_1.StreamUtils.streamToBuffer(fileToDownload.size, contentStreamPromise, params.response);
            params.response.data.setObj(content);
            params.response.console.log(content);
        });
    }
}
exports.default = ViewUssFileHandler;
//# sourceMappingURL=UssFile.Handler.js.map